"
I model the links of a GrafoscopioNode.

I'm responsable for showing the links and selecting them.
"
Class {
	#name : #GrafoscopioLinksList,
	#superclass : #ComposablePresenter,
	#instVars : [
		'links'
	],
	#category : #'Grafoscopio-UI'
}

{ #category : #specs }
GrafoscopioLinksList class >> defaultSpec [
	^ SpecLayout composed
		add: #links;
		yourself 
]

{ #category : #accessing }
GrafoscopioLinksList >> content: aGrafoscopioNode [
	links items: aGrafoscopioNode links
]

{ #category : #initialization }
GrafoscopioLinksList >> initializeWidgets [
	links := self newList.
	self focusOrder add: links
]

{ #category : #accessing }
GrafoscopioLinksList >> links [
	^ links
]

{ #category : #accessing }
GrafoscopioLinksList >> links: anObject [
	links := anObject
]

{ #category : #api }
GrafoscopioLinksList >> title [
	^ 'Node links list'
]

{ #category : #'api-events' }
GrafoscopioLinksList >> whenSelectedItemChanged: aBlock [
	links whenSelectedItemChanged: aBlock
]
